summaryrefslogtreecommitdiff
path: root/auto/create_meta.sh
diff options
context:
space:
mode:
authordavidovski <david@davidovski.xyz>2022-02-05 23:06:30 +0000
committerdavidovski <david@davidovski.xyz>2022-02-05 23:06:30 +0000
commitd30c88ec829e40333150d9f0aece53ba1bcdd05a (patch)
tree888cf3be7651110859059f267108e1fab869def8 /auto/create_meta.sh
parent1c0d068fa80521a225c04b642d6e5f332ad00ada (diff)
added auto-mainainer to build meta packages
Diffstat (limited to 'auto/create_meta.sh')
-rwxr-xr-xauto/create_meta.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/auto/create_meta.sh b/auto/create_meta.sh
new file mode 100755
index 0000000..c05b084
--- /dev/null
+++ b/auto/create_meta.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+create() {
+ local desc=$*
+
+ printf "#!/bin/bash\n"
+ printf "# This file was automatically generated, do not edit!"
+ printf "\n\n"
+
+ printf "DESC=\"$desc\"\n"
+ printf "DEPS=("
+ while read repo; do
+ [ -d repo/$repo ] && [ ! "$repo" = "meta" ] &&
+ for file in $(ls repo/$repo/*.xibuild); do
+ local name=$(basename -s ".xibuild" $file)
+ printf " $name"
+ done
+ done
+
+ printf ")\n"
+}
+
+ls repo | create 'AlL tHe pacKageS!!' > repo/meta/all.xibuild
+
+for repo in $(ls repo); do
+ [ "$repo " = "meta" ] || echo $repo | create "All the the packages available in $repo" > repo/meta/$repo.xibuild
+done